openSUSE Security Update : salt (openSUSE-2016-318)

Medium Nessus Plugin ID 89814


The remote openSUSE host is missing a security update.


This update for salt fixes the following issues :

- CVE-2016-1866: Improper handling of clear messages on the minion remote code execution (boo#965403)

The following bugs were fixed :

- boo#958350: Salt crashes on invalid UTF-8 in package data

- boo#959572: 'salt '*' pkg.info_installed' causes exception on sles12sp1 client

- boo#963322: salt-api cannot be stopped correctly


Update the affected salt packages.

See Also

Plugin Details

Severity: Medium

ID: 89814

File Name: openSUSE-2016-318.nasl

Version: $Revision: 2.3 $

Type: local

Agent: unix

Published: 2016/03/10

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P


Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:salt, p-cpe:/a:novell:opensuse:salt-api, p-cpe:/a:novell:opensuse:salt-bash-completion, p-cpe:/a:novell:opensuse:salt-cloud, p-cpe:/a:novell:opensuse:salt-fish-completion, p-cpe:/a:novell:opensuse:salt-master, p-cpe:/a:novell:opensuse:salt-minion, p-cpe:/a:novell:opensuse:salt-proxy, p-cpe:/a:novell:opensuse:salt-raet, p-cpe:/a:novell:opensuse:salt-ssh, p-cpe:/a:novell:opensuse:salt-syndic, p-cpe:/a:novell:opensuse:salt-zsh-completion, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/03/08

Reference Information

CVE: CVE-2016-1866